Skip to main content
POST
/
v1
/
topics
curl -X PUT https://qstash.upstash.io/v1/topics/:topicId\
  -H "Authorization: Bearer <token>" \
  -d '{ "name": "test" }'
{
  "topicId": "tpc_7EfEryZiheEKzpMuvjYdhhhbNNJA",
  "name": "test",
  "endpoints": [
    {
      "endpointId": "ept_6j7BNZus3ZyPy6P7QtLUMCC3Rq7h",
      "url": "https://www.upstash.com",
      "topicId": "tpc_7EfEryZiheEKzpMuvjYdhhhbNNJA"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://upstash-fix-issues-on-docs.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Request

name
string
required
The name of the topic Must only contain alphanumeric characters, underscores, dashes and periods. Regex: ^[a-zA-Z0-9-_.]+$

Response

endpoints
Array<Endpoint>
required
name
string
required
A user given name must only contain alphanumeric, hyphen, underscore and periods.
topicId
string
required
Id for this topic
curl -X PUT https://qstash.upstash.io/v1/topics/:topicId\
  -H "Authorization: Bearer <token>" \
  -d '{ "name": "test" }'
{
  "topicId": "tpc_7EfEryZiheEKzpMuvjYdhhhbNNJA",
  "name": "test",
  "endpoints": [
    {
      "endpointId": "ept_6j7BNZus3ZyPy6P7QtLUMCC3Rq7h",
      "url": "https://www.upstash.com",
      "topicId": "tpc_7EfEryZiheEKzpMuvjYdhhhbNNJA"
    }
  ]
}